Skip to main content
Verify phone numbers.

Phone Basic

Basic phone number verification.
POST /api/v1/business/verification/phone-basic
Signature required: Yes

Request body

FieldTypeRequiredDescription
phonestringYesPhone number
idempotencyKeystringNoUnique key to prevent duplicate charges

Phone Advanced

Phone verification with extended data.
POST /api/v1/business/verification/phone-advanced

Request body

FieldTypeRequiredDescription
phonestringYesPhone number
idempotencyKeystringNoUnique key to prevent duplicate charges

Phone + NIN Cross-check

Verify that a phone number and NIN belong to the same person.
POST /api/v1/business/verification/phone-nin

Request body

FieldTypeRequiredDescription
phonestringYesPhone number
ninstringYesNational Identification Number
idempotencyKeystringNoUnique key to prevent duplicate charges

Request example

curl -X POST "https://api-dev.usenumero.com/numeroaccount/api/v1/business/verification/phone-nin" \
  -H "Content-Type: application/json" \
  -H "x-api-key: your_api_key" \
  -H "x-signature-key: generated_signature" \
  -d '{
    "phone": "08012345678",
    "nin": "12345678901"
  }'